# Model genrujcy losowo dane dla zintegrowanego planowania produkcji i dystrybucji w ramach VMI
#
#======================================================================
param Model symbolic := "VMI_Dane";

param St_wykorzystania >= 0, <= 1;
param Dane symbolic :=
	"VMI_P_D_0"&substr(St_wykorzystania,3)&".csv";
#======================================================================
param L_dni > 0;
set Dni := 1..L_dni;

set Produkty;
set Samochody;
set Platformy;

#======================================================================

param Jedn_koszt_zapasow >= 0;
param Koszt_przezbr >= 0;
param Koszt_str_popytu >= 0;

param Czas_wyk {Produkty} >= 0;
param Pocz_gotowosc {Produkty} binary;

param Pocz_zapas_dostawcy {Produkty} >= 0 := trunc(Uniform(50, 100));
param Zapas_bezp {Platformy, Produkty} >= 0 := trunc(Uniform(5, 15));
param Pocz_zapas_odbiorcy {Platformy, Produkty} >= 0 := trunc(Uniform(10, 100));
param Popyt {Platformy, Produkty, t in Dni} >= 0 := trunc(Uniform(1, 30));

param Koszt_transp {Samochody} >= 0;
param Ladownosc {Samochody} >= 0;
param Czas_transp {Samochody} >= 0;
param min_Czas_transp := min {s in Samochody} Czas_transp[s];
param max_Czas_transp := max {s in Samochody} Czas_transp[s];

display Dane;
#======================================================================
solve;

	table T_Pocz_zapas_dostawcy {j in Produkty} OUT "CSV" "Pocz_zapas_dostawcy.csv":
		j~Produkt, Pocz_zapas_dostawcy[ j]~Pocz_zapas_dostawcy;

	table T_Zapas_bezp {p in Platformy, j in Produkty} OUT "CSV" "Zapas_bezp.csv":
		p~Platforma, j~Produkt, Zapas_bezp[p, j]~Zapas_bezp	;

	table T_Pocz_zapas_odbiorcy {p in Platformy, j in Produkty} OUT "CSV" "Pocz_zapas_odbiorcy.csv":
		p~Platforma, j~Produkt, Pocz_zapas_odbiorcy[p, j]~Pocz_zapas_odbiorcy	;

	table T_Popyt{p in Platformy, j in Produkty, t in Dni} OUT "CSV" "Popyt.csv":
		p~Platforma, j~Produkt, t~Dzien, Popyt[p, j, t]~Popyt;
#======================================================================
end;
